Bug 437182 - upstart should ignore rpm temp files
upstart should ignore rpm temp files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 15:05 EDT by Warren Togami
Modified: 2014-06-18 04:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-16 23:06:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2008-03-12 15:05:02 EDT
During rpm upgrade of packages that have /etc/event.d/ files like initscripts,
rhgb or upstart itself, it temporarily creates files with names like:
/etc/event.d/serial;47d7dd72 before they are moved into their permanent locations.

Apparently inotify sees the temporary file creation and tells upstart to do
something with it.  Then you get errors on the console like:

init: /etc/event.d/serial;47d7dd72: unable to read: Invalid argument

In addition to ignoring the .rpmsave/.rpmnew files, upstart should also ignore
files with a semicolon in their names.
Comment 1 Casey Dahlin 2008-03-12 15:12:59 EDT
That's kind of a broad category, subject to user gotchas. Might be better to
tell upstart not to watch inotify for a bit while the packages are upgraded.

Why do these files have to be generated in this folder?
Comment 2 Bill Nottingham 2008-03-12 15:21:01 EDT
If they're generated anywhere else by rpm, they can't be atomically renamed in
place.
Comment 3 Warren Togami 2008-03-12 15:22:45 EDT
Realistically how many times are files with semicolons in their names used?

> Why do these files have to be generated in this folder?

How do you propose we do this in a reliable way?
Comment 4 Bill Nottingham 2008-03-12 15:26:58 EDT
Match on ';<8 hex digits>' at the end of the file name, I suppose. It would be
used for any file being laid down by rpm.
Comment 5 Casey Dahlin 2008-03-12 15:44:57 EDT
Ok. I'll look at a patch for this.
Comment 6 Casey Dahlin 2008-03-16 23:06:00 EDT
Fixed in upstart-0.3.9-13

Note You need to log in before you can comment on or make changes to this bug.